<template>
  <v-dialog :value="value" @input="$emit('input')" width="450">
    <v-card>
      <v-card-title/>
      <v-card-text class="text--primary text-center">
        <div class="subtitle-1">
          ¿Deseas que este horario se mantenga en las siguientes semanas?
        </div>
        <div class="box-input">
          <v-select
            v-model="item"
            :items="items"
            item-text="text"
            item-value="value"
            outlined
          />
          <v-text-field
            v-if="item === 1"
            v-model="weeks"
            type="number"
            min="1"
            :rules="weeksRules"
            label="Número de semanas"
            placeholder="Placeholder"
            outlined
          />
        </div>
        <v-btn
          depressed
          rounded
          outlined
          color="primary"
          @click="$emit('input')">
          Cancelar
        </v-btn>
        <v-btn @click="$emit('accept', { item, weeks })" depressed rounded color="primary">
          Aceptar
        </v-btn>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>
<script>
export default {
  props: {
    value: Boolean,
  },
  data: () => ({
    item: 0,
    weeks: 1,
    items: [
      {
        text: 'No duplicar',
        value: 0,
      },
      {
        text: 'Duplicar',
        value: 1,
      },
    ],
    weeksRules:[
      v => v > 0 || 'El número de semanas debe ser mayor a 0',
    ]
  }),
};
</script>
<style scoped>
.box-input {
  max-width: 250px;
  margin: 10px auto;
  margin-top: 20px;
}
</style>
